| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT > Class Template Reference

`#include <Grammars.h>`

Inheritance diagram for Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >:

[legend]
Collaboration diagram for Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >:

[legend]
List of all members.

## Detailed Description

### template<typename KeyGrammarT, typename ValueGrammarT>
class Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >

The valid represenation of map are:

- {"file1":"path1","something":"nothing"}
- {"file1"="path1","something"="nothing"}
- ["file1":10,"something":20]
- ["file1"=30,"something"=40] Inner key type depends on KeyGrammarT grammar Inner value type depends on ValueGrammarT grammar.

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 453 of file Grammars.h.

## Public Types
typedef KeyGrammarT::ResultT | KeyT
typedef ValueGrammarT::ResultT | ValueT
typedef std::map< KeyT, ValueT > | ResultT
## Public Member Functions
void | matchItem () const
| call backs. Action when we match pair in map
void | matchFirst (const KeyT &value) const
| call backs. Action when we match key of pair
void | matchSecond (const ValueT &value) const
| call backs. Action when we match value pf pair
## Classes
struct | definition

## Member Typedef Documentation

template<typename KeyGrammarT, typename ValueGrammarT>

typedef KeyGrammarT::ResultT Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::KeyT

Definition at line 464 of file Grammars.h.

template<typename KeyGrammarT, typename ValueGrammarT>

typedef ValueGrammarT::ResultT Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::ValueT

Definition at line 465 of file Grammars.h.

template<typename KeyGrammarT, typename ValueGrammarT>

typedef std::map<KeyT,ValueT> Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::ResultT

Definition at line 466 of file Grammars.h.

## Member Function Documentation

template<typename KeyGrammarT, typename ValueGrammarT>

void Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::matchItem | ( |  | ) | const`[inline]`

call backs. Action when we match pair in map

Definition at line 469 of file Grammars.h.

Referenced by Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

    00470       {
    00471         //this->val().insert(this->attrs());
    00472         this->val()[this->attrs().first] = this->attrs().second ;
    00473       }

template<typename KeyGrammarT, typename ValueGrammarT>

void Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::matchFirst | ( | const KeyT & | value | ) | const`[inline]`

call backs. Action when we match key of pair

Definition at line 475 of file Grammars.h.

Referenced by Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

    00475 {  this->attrs().first = value ; }

template<typename KeyGrammarT, typename ValueGrammarT>

void Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::matchSecond | ( | const ValueT & | value | ) | const`[inline]`

call backs. Action when we match value pf pair

Definition at line 477 of file Grammars.h.

Referenced by Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

    00477 { this->attrs().second = value ; }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h